<!-- ***************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
*
* (C) Copyright IBM Corp. 2009
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
********************************************************** {COPYRIGHT-END} -->
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://ibm.com/isc/portlet" prefix="iscPortletAPI" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects />

<%@ page import="javax.portlet.*,
                 com.tivoli.fbfw.ca.*" %>

<%
	PortletSession pSession = (PortletSession)renderRequest.getPortletSession();
	PortletSessionBean sessionBean = (PortletSessionBean)pSession.getAttribute(BasePortlet.SESSION_BEAN);
	String deployPath = (String)pSession.getAttribute(BasePortlet.DEPLOYMENT_PATH);
	String filterStr = "allLink";
	if (sessionBean != null )
		filterStr = sessionBean.getFilterStr();
%>

<style type="text/css">
	@import "<%=request.getContextPath()%>/js/dojo/dojox/grid/resources/Grid.css";
	@import "<%=request.getContextPath()%>/js/dojo/dojox/grid/resources/tundraGrid.css";
	@import "<%=request.getContextPath()%>/js/dojo/dijit/themes/tundra/tundra.css";
	@import "<%=request.getContextPath()%>/js/dojo/ibm/tivoli/tip/dijit/themes/Tivoli_Tundra.css";
	@import "<%=request.getContextPath()%>/jsp/CSS/FBWCA.css";
  @import "<%=request.getContextPath()%>/js/dojo/dojox/widget/Standby/Standby.css";
</style>

<style>
    .standbyUnderlayNode { display: none; opacity: 0; z-index: 9999; position:
    absolute; cursor:wait; } .standbyImageNode { opacity: 0; display: none;
    z-index: -10000; position: absolute; top: -100px; left: 0px; cursor:wait;
    }
</style>

<script type="text/javascript" src="<%=request.getContextPath()%>/js/dojo/dojo/dojo.js"
	djconfig="isDebug:true,parseOnLoad:true,locale:'<%=request.getLocale().toString().replace('_','-').toLowerCase()%>'" ></script>

<script type="text/javascript">
		dojo.registerModulePath("ibm.tivoli.tip.dijit","../ibm/tivoli/tip/dijit");
		dojo.registerModulePath("ibm.tivoli.tip.dojo","../ibm/tivoli/tip/dojo");
		dojo.registerModulePath("nls", "../fbfwca");
		dojo.registerModulePath("nls_messages", "../fbfwca");

		dojo.require("dojox.widget.Standby");
		dojo.require("dojo.i18n");
		dojo.require("dojo.parser");
		dojo.require("dojo.number");
		dojo.require("dojo.date.locale");
		dojo.require("dijit.layout.BorderContainer");
		dojo.require("dijit.layout.TabContainer");
		dojo.require("dijit.layout.ContentPane");
		dojo.require("dijit.form.Form");
		dojo.require("dijit.form.FilteringSelect");
		dojo.require("dijit.form.ComboBox");
		dojo.require("dijit.form.Button");
		dojo.require("dijit.form.Textarea");
		dojo.require("dijit.form.TextBox");
		dojo.require("dijit.form.NumberTextBox");
		dojo.require("dijit.Tooltip");
		dojo.require("fbfwca.Clients");
		dojo.require("fbfwca.Common");
		dojo.require("fbfwca.Localizable");

		dojo.requireLocalization("nls", "general");
		dojo.requireLocalization("nls_messages", "messages");
		var fbfwca_root = "<%=request.getContextPath()%>";
		var fbfwca_deployPath = unescape("<%=deployPath%>");

		var clients = null;
		var hiddenPath = null;

		dojo.addOnLoad(function(){
			dojo.style(dojo.body(), {height: "100%", width: "100%", direction:"ltr"});
			//var vp = dijit.getViewport( );
      //console.log("IFRAME size (h,w) = (" + vp.h + ", " + vp.w + ")");

			clients = new fbfwca.Clients();
			if(dojo.getComputedStyle(dojo.body()).direction == "rtl") {
			  document.getElementById("filterDesc").style.paddingRight = "10px";
			  document.getElementById("allLink").style.paddingRight = "10px";
			  document.getElementById("filterTable").style.paddingRight = "20px";
			} else {
			  document.getElementById("filterDesc").style.paddingLeft = "10px";
			  document.getElementById("allLink").style.paddingLeft = "10px";
			  document.getElementById("filterTable").style.paddingLeft = "20px";
			}
			dijit.byId("mainTabContainer").resize();
			dijit.byId("mainTabContainer").connect(window, "onresize", "layout");
		});        

		function <portlet:namespace/>cleanup () {
			try { 
				console.info ("enter cleanup");
				if (clients)
					clients.destroy();
				delete clients;
				delete fbfwca_root;
			} catch (ex) {
				console.error ("Caught exception in cleanup:");
				console.error (ex);
			}
		}

		function <portlet:namespace/>resizePortlet () {
			console.log("resizePortlet");
			if (dojo.byId("ClientsTableHolder").style.display!="none" ) {
				console.log ("resize ClientsTableHolder");
				dijit.byId("mainTabContainer").resize();
				dijit.byId("mainTabContainer").connect(window, "onresize", "layout");
			}
		}

		function <iscPortletAPI:processEventHandler/>(evt) {
			console.log ("FBFWCA: received event: "+evt.name);
			if (evt.name == "http://ibm.com/isclite#closePage" ) {
				<portlet:namespace/>cleanup();
			} else if (evt.name == "http://ibm.com/isclite#portletResize") {
				<portlet:namespace/>resizePortlet();
			}
		}
	
</script>

<div id="<portlet:namespace/>_main" style="width:100%;height:100%;">
<div id="filterStrId" title="<%=filterStr%>"></div>
<portlet:actionURL var="configAlertsUrl">  
<portlet:param name="action" value="configAlerts"/>  
</portlet:actionURL>
<form id="configAlertsAction" method="post" action="${configAlertsUrl}" style="display:none">
</form>
<!--=========================================================================================-->
<!--                       Clients Table Dialog Box                                          -->
<!--=========================================================================================-->
<div id="ClientsTableHolder" class="fbw-border" style="display:block;width:100%;height:100%;">
<div dojoType="fbfwca.Localizable" class="normal-text">T_Clients_Page_Desc</div>
<br/>
<div dojoType="dijit.layout.TabContainer" id="mainTabContainer" doLayout="false" persist="true" 
		controllerWidget="dijit.layout.TabController" >
		
		<!--=== Health content pane ===-->
		<div dojoType="dijit.layout.ContentPane" id="HealthContentPane" style="padding:10px;height:100%;"
				title="Health" >
				<div dojoType="fbfwca.Localizable" class="normal-text">T_Clients_Health_Desc</div>
				<br/>
					<div dojoType="dijit.layout.BorderContainer"  class="normal-text"
							style="background-color:#E2e7f0; border:1px solid #88a4d7;">
					    <br/>
					    <div dojoType="fbfwca.Localizable" id="filterDesc">T_Filter_Clients_Desc</div>
	            <table id="filterTable" border="0" cellpadding="0" cellspacing="0" style="padding-left:20px">
		            <tr cellspacing="0" >
			            <td>
				            <table cellspacing="5" cellpadding="0" border="0" vertical-align="middle" class="normal-text">
					            <tr>
						            <td>
							            <img id="fatalLinkImg" src="<%=request.getContextPath()%>/jsp/CSS/images/ac22_Fatal_24.png"></img>
						            </td>
						            <td>
                					<a href="#" id="fatalLink" style="vertical-align: middle;" onclick="clients.RefreshTable(3);return(false);">0</a>
						            </td>
					            </tr>
				            </table>
			            </td>
			            <td style="padding-left:20px">
				            <table cellspacing="5" cellpadding="0" border="0" vertical-align="middle" class="normal-text">
					            <tr>
						            <td>
							            <img id="criticalLinkImg" src="<%=request.getContextPath()%>/jsp/CSS/images/ac22_critical_24.png"></img>
						            </td>
						            <td>
					                <a href="#" id="criticalLink" style="vertical-align: middle;" onclick="clients.RefreshTable(2);return(false);">0</a>
						            </td>
					            </tr>
				            </table>
			            </td>
			            <td style="padding-left:20px">
				            <table cellspacing="5" cellpadding="0" border="0" vertical-align="middle" class="normal-text">
					            <tr>
						            <td>
							            <img id="warningLinkImg" src="<%=request.getContextPath()%>/jsp/CSS/images/ac22_WarningMinor_24.png"></img>
						            </td>
						            <td>
					                <a href="#" id="warningLink" style="vertical-align: middle;" onclick="clients.RefreshTable(1);return(false);">0</a>
						            </td>
					            </tr>
				            </table>
			            </td>
			            <td style="padding-left:20px">
				            <table cellspacing="5" cellpadding="0" border="0" vertical-align="middle" class="normal-text">
					            <tr>
						            <td>
							            <img id="normalLinkImg" src="<%=request.getContextPath()%>/jsp/CSS/images/ac22_normal_24.png"></img>
						            </td>
						            <td>
					                <a href="#" id="normalLink" style="vertical-align: middle;" onclick="clients.RefreshTable(0);return(false);">0</a>
						            </td>
					            </tr>
				            </table>
			            </td>
		            </tr>
	            </table>	
					<br/>
					<a href="#" id="allLink" dojoType="fbfwca.Localizable"
							onclick="clients.RefreshTable(4);return(false);">T_View_all_clients</a>
					<br/><br/>
				</div>
				<br/>
				<div id="healthGridContainerNode" ></div>
		</div>

		<!--=== Deployment content pane ===-->
		<div dojoType="dijit.layout.ContentPane" id="StorageContentPane" style="padding:10px;height:100%;"
				title="Storage">
				<div dojoType="fbfwca.Localizable"  class="normal-text">T_Clients_Storage_Desc</div>
				<br/>
				<div id="storageGridContainerNode" ></div>
		</div>
				
		<!--=== Deployment content pane ===-->
		<div dojoType="dijit.layout.ContentPane" id="DeploymentContentPane" style="padding:10px;height:100%;"
				title="Deployment" >
				<div dojoType="fbfwca.Localizable" class="normal-text">T_Clients_Deploy_Desc</div>
				<br/>
				<div id="deployGridContainerNode" ></div>
		</div>
</div>
</div>

<!--=========================================================================================-->
<!--                       Assign Group Dialog Box                                           -->
<!--=========================================================================================-->
<div id="AssignGroupForm" class="fbw-border"
        style="display:none;width:100%;height:100%;">
	<!-- This is the header. -->
	<div class="form-header" dojoType="fbfwca.Localizable">T_ASSIGN_GROUP</div>
	<div  dojoType="fbfwca.Localizable">T_Assign_Group_desc</div>

	<br/>
	<label for="SelectGroupFS" dojoType="fbfwca.Localizable">L_Select_a_group</label>
	<br/>
	<input dojoType="dijit.form.FilteringSelect"
							searchAttr="name"
							id="SelectGroupFS"/>
	<br/><br/>
	<div dojoType="fbfwca.Localizable">L_Clients_assigned</div>
	<br/>
	<div id="ClientsAssigned" ></div>
	<br/><br/>
	<button dojoType="dijit.form.Button" id="AssignGroupFormOK"
			onClick="clients.OnClick_AssignGroup(0)">T_OK</button>
	<button dojoType="dijit.form.Button" id="AssignGroupFormCancel"
			onClick="clients.OnClick_AssignGroup(1)">T_CANCEL</button>
</div>
<!--=========================================================================================-->
<!--                       Send Script Dialog Box                                            -->
<!--=========================================================================================-->
<div id="SendScriptForm" class="fbw-border"
        style="display:none;width:100%;height:100%;">
	<!-- This is the header. -->
	<div class="form-header" dojoType="fbfwca.Localizable">T_SEND_SCRIPT</div>
	<div  dojoType="fbfwca.Localizable">T_Send_Script_desc</div>
	
	<br/>
	<label for="SelectScriptFS" dojoType="fbfwca.Localizable">L_Select_a_script</label>
	<br/>
	<input dojoType="dijit.form.FilteringSelect"
							searchAttr="name"
							id="SelectScriptFS" />
	<br/><br/>
	<div dojoType="fbfwca.Localizable">L_Clients_sent</div>
	<br/>
	<div id="ClientsSent" ></div>
	<br/><br/>
	<button dojoType="dijit.form.Button" id="SendScriptFormOK"
			onClick="clients.OnClick_SendScript(0)">T_OK</button>
	<button dojoType="dijit.form.Button" id="SendScriptFormCancel"
			onClick="clients.OnClick_SendScript(1)">T_CANCEL"</button>
</div>
<!--=========================================================================================-->
<!--                       View Client Configuration Dialog Box                              -->
<!--=========================================================================================-->
<div id="ViewConfigForm" class="fbw-border"
        style="display:none;width:100%;height:100%;">
<br/>
<table cellspacing="3" cellpadding="0" border="0" class="normal-text">
	<tr>
		<td>
			<div class="breadcrumb" dojoType="fbfwca.Localizable" id="viewConfigBreadcrumb"
				onclick="clients.HideForm('ViewConfigForm', 'ClientsTableHolder')" 
				onmouseover="this.className='breadcrumb-hover'" onmouseout="this.className='breadcrumb'">T_Clients</div>
		</td>
		<td>
			<div class="breadcrumbDivider" >></div>
		</td>
		<td>
			<div id="ClientConfigCrumb" style="color:#000;"></div>
		</td>
	</tr>
</table>
<br>
<div id="ClientConfigDesc"></div>
<br/>
<div class="subsection-form" dojoType="fbfwca.Localizable">T_Continuous_Heading</div>
<div class="tab" id="CdpData"></div>
<br/>
<div class="subsection-form" dojoType="fbfwca.Localizable">T_Files_To_Protect</div>
<div class="tab" id="FtpData"></div>
<br/>
<div class="subsection-form" dojoType="fbfwca.Localizable">T_Email_Protection</div>
<div class="tab" id="EmailData" ></div>
<br/>
<div class="subsection-form" dojoType="fbfwca.Localizable">T_Remote_Storage</div>
<div class="tab" id="RemoteData" ></div>
<br/>
<div class="subsection-form" dojoType="fbfwca.Localizable">T_Backup_Performance</div>
<div class="tab" id="PerfData" ></div>
</div>
<!--=========================================================================================-->
<!--                       View Activity Log Dialog Box                                      -->
<!--=========================================================================================-->
<div id="ViewActivityLogForm" class="fbw-border"
        style="display:none;width:100%;height:100%;">
<table cellspacing="3" cellpadding="0" border="0" class="normal-text">
	<tr>
		<td>
			<div class="breadcrumb" dojoType="fbfwca.Localizable" id="viewActLogBreadcrumb"
				onclick="clients.HideForm('ViewActivityLogForm', 'ClientsTableHolder')" 
				onmouseover="this.className='breadcrumb-hover'" onmouseout="this.className='breadcrumb'">T_Clients</div>
		</td>
		<td>
			<div class="breadcrumbDivider" >></div>
		</td>
		<td>
			<div id="ActLogCrumb" style="color:#000;"></div>
		</td>
	</tr>
</table>
<br/>
<div id="activityGridContainerNode"></div>
</div>
<!--=========================================================================================-->
<!--                       Deploy Updates Dialog Box                                           -->
<!--=========================================================================================-->
<div id="DeployUpdatesForm" class="fbw-border"
        style="display:none;width:100%;height:100%;">
	<!-- This is the header. -->
	<div class="form-header" dojoType="fbfwca.Localizable">T_Deploy_Software_Updates</div>
	<div  dojoType="fbfwca.Localizable">T_Deploy_Software_Updates_desc</div>

	<br/>
	<label for="DeploymentPackageFS" dojoType="fbfwca.Localizable">L_Select_a_package_to_deploy</label>
	<br/>
	<input dojoType="dijit.form.FilteringSelect" style="width:250px"
							searchAttr="name"
							id="DeploymentPackageFS" />
							
	<br/><br/>
	<div dojoType="fbfwca.Localizable">L_Clients_deployed</div>
	<br/>
	<div id="ClientsDeployed" ></div>

	<br/><br/>
	<button dojoType="dijit.form.Button" id="DeployUpdatesFormOK"
			onClick="clients.OnClick_DeployUpdates(0)">T_OK</button>
	<button dojoType="dijit.form.Button" id="DeployUpdatesFormCancel"
			onClick="clients.OnClick_DeployUpdates(1)">T_CANCEL</button>
</div>
<!--=========================================================================================-->
<!--                       Group Config Wizard                                               -->
<!--=========================================================================================-->
<div id="ConfigWizardContainer" style="display:none;width:100%;height:100%;">
</div>

<!--=========================================================================================-->
<!--                       End of page                                                       -->
<!--=========================================================================================-->
</div>