<!-- ***************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
*
* (C) Copyright IBM Corp. 2009
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
********************************************************** {COPYRIGHT-END} -->
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://ibm.com/isc/portlet" prefix="iscPortletAPI" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects />

<%@ page import="javax.portlet.*" %>

<!--
<script type='text/javascript' 
        src='http://getfirebug.com/releases/lite/1.2/firebug-lite-compressed.js'></script>     
-->

<style type="text/css">
	@import "<%=request.getContextPath()%>/js/dojo/dojox/grid/resources/Grid.css";
	@import "<%=request.getContextPath()%>/js/dojo/dojox/grid/resources/tundraGrid.css";
	@import "<%=request.getContextPath()%>/js/dojo/dijit/themes/tundra/tundra.css";
	@import "<%=request.getContextPath()%>/js/dojo/ibm/tivoli/tip/dijit/themes/Tivoli_Tundra.css";
	@import "<%=request.getContextPath()%>/jsp/CSS/FBWCA.css";
  @import "<%=request.getContextPath()%>/js/dojo/dojox/widget/Standby/Standby.css";
</style>
<style>
    .standbyUnderlayNode { display: none; opacity: 0; z-index: 9999; position:
    absolute; cursor:wait; } .standbyImageNode { opacity: 0; display: none;
    z-index: -10000; position: absolute; top: -100px; left: 0px; cursor:wait;
    }
</style>

<script type="text/javascript" src="<%=request.getContextPath()%>/js/dojo/dojo/dojo.js"
	djconfig="isDebug:true,parseOnLoad:true,locale:'<%=request.getLocale().toString().replace('_','-').toLowerCase()%>'" ></script>

<script type="text/javascript">
		dojo.registerModulePath("ibm.tivoli.tip.dijit","../ibm/tivoli/tip/dijit");
		dojo.registerModulePath("ibm.tivoli.tip.dojo","../ibm/tivoli/tip/dojo");
		dojo.registerModulePath("nls", "../fbfwca");
		dojo.registerModulePath("nls_messages", "../fbfwca");

		dojo.require("dojo.i18n");
		dojo.require("dojo.parser");
		dojo.require("dojo.number");
		dojo.require("dojo.date.locale");
		dojo.require("dijit.layout.ContentPane");
		dojo.require("dijit.form.Form");
		dojo.require("fbfwca.Health");
		dojo.require("fbfwca.Common");
		dojo.require("fbfwca.Localizable");
	   	dojo.require("dojo.cookie");
		dojo.requireLocalization("nls", "general");
		dojo.requireLocalization("nls_messages", "messages");		
		var fbfwca_root = "<%=request.getContextPath()%>";

		var health = null;

		dojo.addOnLoad(function(){
		dojo.style(dojo.body(), {height: "100%", width: "100%", direction:"ltr"});
				health = new fbfwca.Health();
			  if(dojo.getComputedStyle(dojo.body()).direction == "rtl") {
			    document.getElementById("allLink").style.paddingRight = "15px";
			    document.getElementById("filterTable").style.paddingRight = "20px";
			  } else {
			    document.getElementById("allLink").style.paddingLeft = "15px";
			    document.getElementById("filterTable").style.paddingLeft = "20px";
			  }
		});        

		function TwistieListener(){
			var node = dojo.byId("ImageTwistie");
			var pane = dojo.byId("AlertsContentPane");
			var grid = dojo.byId("alertgridContainer");

			if ( pane.style.display == "none" )
			{
				pane.style.display = "block";
				node.src = fbfwca_root + "/jsp/CSS/images/twistie_expanded.gif";
				health.InitAlertsPod();
			}
			else
			{
				pane.style.display = "none";
				node.src = fbfwca_root + "/jsp/CSS/images/twistie_collapsed.gif";
			}
		}
		
		function <portlet:namespace/>cleanup () {
			try { 
				console.info ("enter cleanup");

				if (health)
					health.destroy();
				delete health;
				delete fbfwca_root;
			} catch (ex) {
				console.error ("Caught exception in cleanup:");
				console.error (ex);
			}
		}

		function <portlet:namespace/>resizePortlet () {
			console.log("health: resizePortlet");
			if (dojo.byId("MainPageHolder").style.display!="none" ) {
				console.log ("Health: resize MainPageHolder");
				//need to take care of alerts 
				health.resizeAlerts();
			}
			else if (dojo.byId("ViewAuditLogForm").style.display!="none") {
				health.resizeAuditLog();
			}
		}

		function <iscPortletAPI:processEventHandler/>(evt) {
			console.log ("FBFWCA: received event: "+evt.name);
			if (evt.name == "http://ibm.com/isclite#closePage" ) {
				<portlet:namespace/>cleanup();
			} else if (evt.name == "http://ibm.com/isclite#portletResize") {
				<portlet:namespace/>resizePortlet();
			}
		}
		
</script>

<div id="<portlet:namespace/>_main" style="width:100%;height:100%;">
<portlet:actionURL var="configAlertsUrl">  
<portlet:param name="action" value="configAlerts"/>  
</portlet:actionURL>
<form id="configAlertsAction" disabled="disabled" method="post" action="${configAlertsUrl}" style="display:none">
</form>
<div id="HealthMain">
<!--=========================================================================================-->
<!--                       Health Page Dialog Box                                           -->
<!--=========================================================================================-->
<div id="MainPageHolder" class="fbw-border" 
	style="display:block;height:100%;width:100%;">
	<div dojoType="fbfwca.Localizable" class="normal-text">T_Health_Page_Desc</div>
	<br/>
	<div class="section-header" dojoType="fbfwca.Localizable">T_Clients_Summary</div>
	<div class="normal-text">
	<div dojoType="fbfwca.Localizable">T_Filter_Clients_Desc</div><br/>
	<table id="filterTable" border="0" cellpadding="0" cellspacing="0" style="padding-left:20px">
		<tr cellspacing="0" >
			<td>
				<table cellspacing="5" cellpadding="0" border="0" vertical-align="middle" class="normal-text">
					<tr>
						<td>
							<img id="fatalLinkImg" src="<%=request.getContextPath()%>/jsp/CSS/images/ac22_Fatal_24.png"></img>
						</td>
						<td>
							<a id="fatalLink"
								href="<portlet:actionURL><portlet:param name='action' value='fatalLink'/></portlet:actionURL>">0</a>
						</td>
					</tr>
				</table>
			</td>
			<td style="padding-left:20px">
				<table cellspacing="5" cellpadding="0" border="0" vertical-align="middle" class="normal-text">
					<tr>
						<td>
							<img id="criticalLinkImg" src="<%=request.getContextPath()%>/jsp/CSS/images/ac22_critical_24.png"></img>
						</td>
						<td>
							<a id="criticalLink"
								href="<portlet:actionURL><portlet:param name='action' value='criticalLink'/></portlet:actionURL>">0</a>
						</td>
					</tr>
				</table>
			</td>
			<td style="padding-left:20px">
				<table cellspacing="5" cellpadding="0" border="0" vertical-align="middle" class="normal-text">
					<tr>
						<td>
							<img id="warningLinkImg" src="<%=request.getContextPath()%>/jsp/CSS/images/ac22_WarningMinor_24.png"></img>
						</td>
						<td>
							<a id="warningLink"
								href="<portlet:actionURL><portlet:param name='action' value='warningLink'/></portlet:actionURL>">0</a>
						</td>
					</tr>
				</table>
			</td>
			<td style="padding-left:20px">
				<table cellspacing="5" cellpadding="0" border="0" vertical-align="middle" class="normal-text">
					<tr>
						<td>
							<img id="normalLinkImg" src="<%=request.getContextPath()%>/jsp/CSS/images/ac22_normal_24.png"></img>
						</td>
						<td>
							<a id="normalLink"
								href="<portlet:actionURL><portlet:param name='action' value='normalLink'/></portlet:actionURL>">0</a>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table><br/>
	<a dojoType="fbfwca.Localizable" id="allLink"
	href="<portlet:actionURL><portlet:param name='action' value='allLink'/></portlet:actionURL>">T_View_all_clients</a>
	</div>
	<br/><br/>
	<div class="section-header" dojoType="fbfwca.Localizable">T_Audit_Logs</div>
	<div style="padding:15px;" class="normal-text">
	<div id="auditlogEntries"></div>
	<br/>
	<a href="#" dojoType="fbfwca.Localizable" id="auditlogLink" onclick="health.ShowAuditLog();return(false);">T_More</a>
	</div>
	<br/>
	<table cellspacing="3" cellpadding="0" border="0" style="width:100%;">
	<tr>
		<td class="section-header">
			<a class="sudo-link" href="#" id="twistie" onclick="TwistieListener();return(false);">
	    		<img border="0" id="ImageTwistie" src="<%=request.getContextPath()%>/jsp/CSS/images/twistie_collapsed.gif"></img>
	    		<span dojoType="fbfwca.Localizable" >T_Alerts</span>
	    	</a>
    	<td>
	</tr>
    </table>
	<div id="AlertsContentPane" style="display:none;width:100%;">
		<div dojoType="fbfwca.Localizable" class="normal-text">T_Health_Alerts_Pod_Desc</div><br>
			<div id="alertgridContainer"></div>
		</div>
	</div>		
</div>
<!--=========================================================================================-->
<!--                       View Audit Log Dialog Box                                         -->
<!--=========================================================================================-->
<div id="ViewAuditLogForm" class="fbw-border"
        style="display:none;">
<table cellspacing="3" cellpadding="0" border="0" class="normal-text">
	<tr>
		<td>
			<div class="breadcrumb" dojoType="fbfwca.Localizable" id="auditLogBreadcrumb"
				onclick="health.OnClick_AuditLog()" onmouseover="this.className='breadcrumb-hover'" onmouseout="this.className='breadcrumb'">T_Health_Monitor</div>
		</td>
		<td>
			<div class="breadcrumbDivider" >&gt;</div>
		</td>
		<td>
			<div dojoType="fbfwca.Localizable" style="color:#000;">T_Audit_Log</div>
		</td>
	</tr>
</table>
<br/>
<div dojoType="fbfwca.Localizable">T_Audit_Log_Form_Desc</div>
<div id="auditGridContainer"></div>
</div>
<!--=========================================================================================-->
<!--                       End of page                                                       -->
<!--=========================================================================================-->
</div>
</div>
