/*
	Copyright (c) 2004-2009, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["fbfwca.ConfigWizard"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["fbfwca.ConfigWizard"] = true;
dojo.provide("fbfwca.ConfigWizard");
dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dijit.Toolbar");
dojo.require("dijit.layout.BorderContainer");
dojo.require("dijit.layout.StackContainer");
dojo.require("dijit.layout.StackController");
dojo.require("dijit.layout.ContentPane");
dojo.require("dijit.form.TextBox");
dojo.require("dijit.form.ValidationTextBox");
dojo.require("dijit.form.NumberTextBox");
dojo.require("dijit.form.DateTextBox");
dojo.require("dijit.form.TimeTextBox");
dojo.require("dojo.date.locale");
dojo.require("dijit.form.CheckBox");
dojo.require("dijit.form.FilteringSelect");
dojo.require("dijit.form.SimpleTextarea");
dojo.require("ibm.tivoli.tip.dijit.TIPMessageDialog");	
dojo.require("ibm.tivoli.tip.dijit.TIPButton");
dojo.require("ibm.tivoli.tip.dijit.TIPTableSearchField_mod");
dojo.require("fbfwca.ajax");
dojo.require("fbfwca.Config");
dojo.require("fbfwca.Grid");
dojo.requireLocalization("nls", "general", null, "");
dojo.requireLocalization("nls_messages", "messages", null, "");

dojo.declare("fbfwca.ConfigWizard", [dijit._Widget, dijit._Templated], {

	widgetsInTemplate: true,
	
	templateString:"<div class=\"tip-wiz\">\r\n\t<div dojoType=\"dijit.layout.BorderContainer\" dojoAttachPoint=\"FBWConfigWizard\" class=\"tip-wiz-outer\" design=\"headline\" gutters=\"false\" style=\"width:100%;height:650px;\">\r\n\t\t<div dojoType=\"dijit.layout.BorderContainer\" gutters=\"false\" liveSplitters=\"false\" design=\"sidebar\" region=\"center\" style=\"width:100%;height:614px;\">\r\n\r\n\t\t\t<!-- =========================== Wizard Steps ======================== -->\r\n\t\t\t<div dojoType=\"dijit.layout.ContentPane\" dojoAttachPoint=\"taskArea\"\r\n\t\t\t\t\tregion=\"leading\" splitter=\"false\" class=\"FBWWizardTaskArea\" >\r\n\r\n\t\t\t\t<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" >\r\n\t\t\t\t\t<tbody>\r\n\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t<td id=\"page1img\" class=\"fbw_WizardStepSelectedImage\"></td>\r\n\t\t\t\t\t\t\t<td id=\"page1text\" valign=\"top\" class=\"fbw_WizardStepSelected\"\r\n\t\t\t\t\t\t\t\t\tdojoType=\"fbfwca.Localizable\">T_Welcome_Heading</td>\r\n\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t<td id=\"page2img\" class=\"fbw_WizardStepUnvisitedImage\"></td>\r\n\t\t\t\t\t\t\t<td id=\"page2text\" valign=\"top\" class=\"fbw_WizardStepUnvisited\"\r\n\t\t\t\t\t\t\t\t\tdojoType=\"fbfwca.Localizable\">T_Group_Name_Heading</td>\r\n\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t<tr >\r\n\t\t\t\t\t\t\t<td id=\"page3img\" class=\"fbw_WizardStepUnvisitedImage\"></td>\r\n\t\t\t\t\t\t\t<td id=\"page3text\" valign=\"top\" class=\"fbw_WizardStepUnvisited\"\r\n\t\t\t\t\t\t\t\t\tdojoType=\"fbfwca.Localizable\">T_Continuous_Heading</td>\r\n\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t<tr >\r\n\t\t\t\t\t\t\t<td id=\"page4img\" class=\"fbw_WizardStepUnvisitedImage\"></td>\r\n\t\t\t\t\t\t\t<td id=\"page4text\" valign=\"top\" class=\"fbw_WizardStepUnvisited\"\r\n\t\t\t\t\t\t\t\t\tdojoType=\"fbfwca.Localizable\">T_Files_Protect_Heading</td>\r\n\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t<tr >\r\n\t\t\t\t\t\t\t<td id=\"page5img\" class=\"fbw_WizardStepUnvisitedImage\"></td>\r\n\t\t\t\t\t\t\t<td id=\"page5text\" valign=\"top\" class=\"fbw_WizardStepUnvisited\"\r\n\t\t\t\t\t\t\t\t\tdojoType=\"fbfwca.Localizable\">T_Email_Protection</td>\r\n\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t<tr >\r\n\t\t\t\t\t\t\t<td id=\"page6img\" class=\"fbw_WizardStepUnvisitedImage\"></td>\r\n\t\t\t\t\t\t\t<td id=\"page6text\" valign=\"top\" class=\"fbw_WizardStepUnvisited\"\r\n\t\t\t\t\t\t\t\t\tdojoType=\"fbfwca.Localizable\">T_Remote_Storage</td>\r\n\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t<tr >\r\n\t\t\t\t\t\t\t<td id=\"page7img\" class=\"fbw_WizardStepUnvisitedImage\"></td>\r\n\t\t\t\t\t\t\t<td id=\"page7text\" valign=\"top\" class=\"fbw_WizardStepUnvisited\"\r\n\t\t\t\t\t\t\t\t\tdojoType=\"fbfwca.Localizable\">T_Advanced_Heading</td>\r\n\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t<tr >\r\n\t\t\t\t\t\t\t<td id=\"page8img\" class=\"fbw_WizardStepUnvisitedImage\"></td>\r\n\t\t\t\t\t\t\t<td id=\"page8text\" valign=\"top\" class=\"fbw_WizardStepUnvisited\"\r\n\t\t\t\t\t\t\t\t\tdojoType=\"fbfwca.Localizable\">T_Summary_Heading</td>\r\n\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t</tbody>\r\n\t\t\t\t</table>\r\n\t\t\t</div>\r\n\t\t\t<div dojoType=\"dijit.layout.StackContainer\" dojoAttachPoint=\"stackContainer\" id=\"myStackContainer\"\r\n\t\t\t\t\t\tregion=\"center\" splitter=\"false\" class=\"FBWWizardPageArea\" >\r\n\r\n\t\t\t\t<!-- ==================================================================\r\n\t\t\t\t\t\t Welcome Step \r\n\t\t\t\t=================================================================== -->\r\n\t\t\t\t<div dojoAttachPoint=\"WelcomeStep\" dojoType=\"dijit.layout.ContentPane\" id=\"page1\" style=\"width:100%;height:100%;\">\r\n\r\n\t\t\t\t\t<div dojoType=\"dijit.layout.ContentPane\" region=\"top\" class=\"FBWWizardDescArea\">\r\n\t\t\t\t\t\t<!-- This is the header. -->\r\n\t\t\t\t\t\t<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td class=\"fbw_WizardWelcomeImage\"></td>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<div class=\"fbw_WizardHeading-text\" dojoType=\"fbfwca.Localizable\">T_Welcome_Heading</div>\r\n\t\t\t\t\t\t\t\t\t<div class=\"fbw_WizardDesc-text\" dojoType=\"fbfwca.Localizable\">T_Wiz_Welcome_Description</div>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t</table>\r\n\t\t\t\t\t</div>\r\n\r\n\t\t\t\t\t<div dojoType=\"dijit.layout.ContentPane\" style=\"padding-left:15px;\" >\r\n\t\t\t\t\t\t<p dojoType=\"fbfwca.Localizable\" style=\"font-size:1em;color:#000000;\">T_Wiz_Welcome_Text</p>\r\n\t\t\t\t\t\t<ul style=\"font-size:1em;color:#000000;list-style-type:disc;\">\r\n\t\t\t\t\t\t\t<li dojoType=\"fbfwca.Localizable\" >T_Wiz_Welcome_Text_l1</li>\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<li dojoType=\"fbfwca.Localizable\" >T_Wiz_Welcome_Text_l2</li>\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<ul style=\"font-size:1em;color:#000000;list-style-type:disc;\">\r\n\t\t\t\t\t\t\t\t<li dojoType=\"fbfwca.Localizable\" >T_Wiz_Welcome_Text_l3</li>\r\n\t\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t\t<li dojoType=\"fbfwca.Localizable\" >T_Wiz_Welcome_Text_l4</li>\r\n\t\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t</ul>\r\n\t\t\t\t\t\t\t<li dojoType=\"fbfwca.Localizable\" >T_Wiz_Welcome_Text_l5</li>\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<li dojoType=\"fbfwca.Localizable\" >T_Wiz_Welcome_Text_l6</li>\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<li dojoType=\"fbfwca.Localizable\" >T_Wiz_Welcome_Text_l7</li>\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<li dojoType=\"fbfwca.Localizable\" >T_Wiz_Welcome_Text_l8</li>\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t</ul>\r\n\t\t\t\t\t</div>\r\n\r\n\t\t\t\t</div>\r\n\r\n\t\t\t\t<!-- ==================================================================\r\n\t\t\t\t\t\t\t\t\t\t\t Group Name Step \r\n\t\t\t\t=================================================================== -->\r\n\t\t\t\t<div dojoAttachPoint=\"GroupStep\" dojoType=\"dijit.layout.ContentPane\" id=\"page2\" style=\"width:100%;height:100%;\">\r\n\t\t\t\t\t<!-- Page header. -->\r\n\t\t\t\t\t<div dojoType=\"dijit.layout.ContentPane\" region=\"top\" class=\"FBWWizardDescArea\">\r\n\t\t\t\t\t\t<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td class=\"fbw_WizardGroupImage\"></td>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<div class=\"fbw_WizardHeading-text\" dojoType=\"fbfwca.Localizable\">T_Group_Name_Heading</div>\r\n\t\t\t\t\t\t\t\t\t<div class=\"fbw_WizardDesc-text\" dojoType=\"fbfwca.Localizable\">T_Wiz_Group_Name_Description</div>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t</table>\r\n\t\t\t\t\t</div>\r\n\r\n\t\t\t\t\t<!-- Page content. -->\r\n\t\t\t\t\t<div dojoType=\"dijit.layout.ContentPane\" style=\"padding:15px;\" >\r\n\t\t\t\t\t\t<label for=\"General_group\" dojoType=\"fbfwca.Localizable\">L_Group_req</label>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<input class=\"name-text\" dojoType=\"dijit.form.ValidationTextBox\" dojoAttachPoint=\"General_group\"\r\n\t\t\t\t\t\t\t\t\trequired=\"true\"\ttrim=\"true\"></input>\r\n\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<label for=\"General_desc\" dojoType=\"fbfwca.Localizable\">L_Description</label>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<input dojoType=\"dijit.form.TextBox\" dojoAttachPoint=\"General_desc\" class=\"long-text\" trim=\"true\"></input>\r\n\t\t\t\t\t</div>\r\n\t\t\t\t</div>\r\n\r\n\t\t\t\t<!-- ==================================================================\r\n\t\t\t\t\t\t Continuous Protection Tab\r\n\t\t\t\t=================================================================== -->\r\n\t\t\t\t<div dojoAttachPoint=\"ContinuousTab\" dojoType=\"dijit.layout.ContentPane\" id=\"page3\" style=\"width:100%;height:100%;\">\r\n\r\n\t\t\t\t\t<!-- Page header. -->\r\n\t\t\t\t\t<div dojoType=\"dijit.layout.ContentPane\" region=\"top\" class=\"FBWWizardDescArea\">\r\n\t\t\t\t\t\t<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td class=\"fbw_WizardContinuousImage\"></td>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<div class=\"fbw_WizardHeading-text\" dojoType=\"fbfwca.Localizable\">T_Continuous_Heading</div>\r\n\t\t\t\t\t\t\t\t\t<div class=\"fbw_WizardDesc-text\" dojoType=\"fbfwca.Localizable\">T_Wiz_Continuous_Description</div>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t</table>\r\n\t\t\t\t\t</div>\r\n\r\n\t\t\t\t\t<!-- Page content. -->\r\n\t\t\t\t\t<div dojoType=\"dijit.layout.ContentPane\" style=\"padding:15px;\">\r\n\t\t\t\t\t\t<!-- Continuous Protection Page: backup info \r\n\t\t\t\t\t<label for=\"Continuous_backupTo\" dojoType=\"fbfwca.Localizable\">L_Local_Drive_Label</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<input dojoType=\"dijit.form.ValidationTextBox\" dojoAttachPoint=\"Continuous_backupTo\" class=\"long-text\"\r\n\t\t\t\t\t\t\t\ttrim=\"true\"></input>\r\n\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t-->\r\n\t\t\t\t\t\t<label for=\"Continuous_versionsKeep\" dojoType=\"fbfwca.Localizable\">L_How_many_versions_to_keep</label>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<input dojoType=\"dijit.form.NumberTextBox\" dojoAttachPoint=\"Continuous_versionsKeep\"\r\n\t\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<label for=\"Continuous_maxspace\" dojoType=\"fbfwca.Localizable\">L_Backup_Max_Space_Label</label>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<input dojoType=\"dijit.form.NumberTextBox\" dojoAttachPoint=\"Continuous_maxspace\"\r\n\t\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\t\t\t\t\t\t<select dojoAttachPoint=\"Continuous_maxspace_unitFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\tstyle=\"width:125px\">\r\n\t\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_KB</option>\r\n\t\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_MB</option>\r\n\t\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_GB</option>\r\n\t\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_TB</option>\r\n\t\t\t\t\t\t\t<option value=\"4\" dojoType=\"fbfwca.Localizable\">T_PB</option>\r\n\t\t\t\t\t\t</select>\r\n\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<label for=\"Continuous_protectLevelFS\" dojoType=\"fbfwca.Localizable\" >L_Protection_Level_Label</label>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<select dojoAttachPoint=\"Continuous_protectLevelFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\tstyle=\"width:310px\" >\r\n\t\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_None</option>\r\n\t\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_Local_storage_only</option>\r\n\t\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_Remote_storage_only</option>\r\n\t\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_Local_and_remote</option>\r\n\t\t\t\t\t\t</select>\r\n\t\t\t\t\t</div>\r\n\t\t\t\t</div>\r\n\r\n\t\t\t\t<!-- ==================================================================\r\n\t\t\t\t\t\t Files to Protect Tab\r\n\t\t\t\t=================================================================== -->\r\n\t\t\t\t<div dojoAttachPoint=\"ProtectTab\" dojoType=\"dijit.layout.ContentPane\" id=\"page4\" style=\"width:100%;height:100%;\">\r\n\r\n\t\t\t\t\t<!-- Page header. -->\r\n\t\t\t\t\t<div dojoType=\"dijit.layout.ContentPane\" region=\"top\" class=\"FBWWizardDescArea\">\r\n\t\t\t\t\t\t<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td class=\"fbw_WizardFilestoprotectImage\"></td>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<div class=\"fbw_WizardHeading-text\" dojoType=\"fbfwca.Localizable\">T_Files_Protect_Heading</div>\r\n\t\t\t\t\t\t\t\t\t<div class=\"fbw_WizardDesc-text\" dojoType=\"fbfwca.Localizable\">T_Wiz_Files_Protect_Description</div>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t</table>\r\n\t\t\t\t\t</div>\r\n\r\n\t\t\t\t\t<!-- Page content. -->\r\n\t\t\t\t\t<div dojoType=\"dijit.layout.ContentPane\" style=\"padding:15px;\">\r\n\t\t\t\t\t\t<!-- Files to Protect Page: folders and files -->\r\n\t\t\t\t\t\t<label for=\"Protect_filesFolder\" dojoType=\"fbfwca.Localizable\" class=\"subsection-wiz\">T_Folders_Files</label>\r\n\t\t\t\t\t\t<br/><br/>\r\n\t\t\t\t\t\t<span dojoType=\"fbfwca.Localizable\">T_Folders_Files_desc</span>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<textarea dojoType=\"dijit.form.SimpleTextarea\" dojoAttachPoint=\"Protect_filesFolder\"\r\n\t\t\t\t\t\t\t\trows=\"5\" cols=\"100\" trim=\"true\"></textarea>\r\n\r\n\t\t\t\t\t\t<!-- Files to Protect Page: exclude folders and files -->\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<label for=\"Protect_exclFilesFolder\" dojoType=\"fbfwca.Localizable\" class=\"subsection-wiz\">T_Exclude_Folders_Files</label>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<span dojoType=\"fbfwca.Localizable\">T_Excl_Files_folders_desc</span>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<textarea dojoType=\"dijit.form.SimpleTextarea\" dojoAttachPoint=\"Protect_exclFilesFolder\"\r\n\t\t\t\t\t\t\t\trows=\"5\" cols=\"100\" trim=\"true\"></textarea>\r\n\r\n\t\t\t\t\t\t<!-- Files to Protect Page: vaulting -->\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<label for=\"Protect_vaulting\" dojoType=\"fbfwca.Localizable\" class=\"subsection-wiz\">T_Vaulting</label>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<span dojoType=\"fbfwca.Localizable\">T_Vaulting_desc</span>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<textarea dojoType=\"dijit.form.SimpleTextarea\" dojoAttachPoint=\"Protect_vaulting\"\r\n\t\t\t\t\t\t\t\trows=\"5\" cols=\"100\" trim=\"true\"></textarea>\r\n\t\t\t\t\t</div>\r\n\t\t\t\t</div>\r\n\r\n\t\t\t\t<!-- ==================================================================\r\n\t\t\t\t\t\t E-mail Tab\r\n\t\t\t\t=================================================================== -->\r\n\t\t\t\t<div dojoAttachPoint=\"EmailTab\" dojoType=\"dijit.layout.ContentPane\" id=\"page5\" style=\"width:100%;height:100%;\">\r\n\r\n\t\t\t\t\t<!-- Page header. -->\r\n\t\t\t\t\t<div dojoType=\"dijit.layout.ContentPane\" region=\"top\" class=\"FBWWizardDescArea\">\r\n\t\t\t\t\t\t<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td class=\"fbw_WizardEmailImage\"></td>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<div class=\"fbw_WizardHeading-text\" dojoType=\"fbfwca.Localizable\">T_Email_Protection</div>\r\n\t\t\t\t\t\t\t\t\t<div class=\"fbw_WizardDesc-text\" dojoType=\"fbfwca.Localizable\">T_Email_Description</div>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t</table>\r\n\t\t\t\t\t</div>\r\n\r\n\t\t\t\t\t<!-- Page content. -->\r\n\t\t\t\t\t<div dojoType=\"dijit.layout.ContentPane\" style=\"padding:15px;\">\r\n\t\t\t\t\t\t<!-- E-mail Page: E-mail application -->\r\n\t\t\t\t\t\t<label for=\"Email_applicationFS\" dojoType=\"fbfwca.Localizable\">L_Email_Appl_Label</label>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<select dojoAttachPoint=\"Email_applicationFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\tstyle=\"width:260px\">\r\n\t\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_Select_Application</option>\r\n\t\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_Lotus_Notes</option>\r\n\t\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_MS_Outlook</option>\r\n\t\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_MS_Outlook_Express</option>\r\n\t\t\t\t\t\t\t<option value=\"4\" dojoType=\"fbfwca.Localizable\">T_All</option>\r\n\t\t\t\t\t\t\t<option value=\"5\" dojoType=\"fbfwca.Localizable\">T_Other</option>\r\n\t\t\t\t\t\t</select>\r\n\r\n\t\t\t\t\t\t<!-- E-mail Page: E-mail application data folder -->\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<label for=\"Email_dataFolder\" dojoType=\"fbfwca.Localizable\">L_Email_appl_folder</label>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<input dojoType=\"dijit.form.TextBox\" dojoAttachPoint=\"Email_dataFolder\" class=\"long-text\"\r\n\t\t\t\t\t\t\t\t\tdisabled=\"true\" trim=\"true\"></input>\r\n\r\n\t\t\t\t\t\t<!-- E-mail Page: E-mail application additional data folder -->\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<label for=\"Email_additionalFolder\" dojoType=\"fbfwca.Localizable\">L_Email_additional_folder</label>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<textarea dojoType=\"dijit.form.SimpleTextarea\" dojoAttachPoint=\"Email_additionalFolder\"\r\n\t\t\t\t\t\t\t\trows=\"5\" cols=\"100\" trim=\"true\"></textarea>\r\n\r\n\t\t\t\t\t\t<!-- E-mail Page: How many versions to keep -->\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<label for=\"Email_versionsKeep\" dojoType=\"fbfwca.Localizable\">L_How_many_versions_to_keep</label>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<input dojoType=\"dijit.form.NumberTextBox\" dojoAttachPoint=\"Email_versionsKeep\"\r\n\t\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\r\n\t\t\t\t\t\t<!-- E-mail Page: How often to protect email -->\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<label for=\"Email_schedFrequencyFS\" dojoType=\"fbfwca.Localizable\">L_How_often_to_protect_email</label>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<select dojoAttachPoint=\"Email_schedFrequencyFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\tstyle=\"width:150px\">\r\n\t\t\t\t\t\t\t<option value=\"none\" dojoType=\"fbfwca.Localizable\">T_Never</option>\r\n\t\t\t\t\t\t\t<option value=\"hourly\" dojoType=\"fbfwca.Localizable\">T_Hourly</option>\r\n\t\t\t\t\t\t\t<option value=\"daily\" dojoType=\"fbfwca.Localizable\">T_Daily</option>\r\n\t\t\t\t\t\t\t<option value=\"weekly\" dojoType=\"fbfwca.Localizable\">T_Weekly</option>\r\n\t\t\t\t\t\t\t<option value=\"monthly\" dojoType=\"fbfwca.Localizable\">T_Monthly</option>\r\n\t\t\t\t\t\t</select>\r\n\r\n\t\t\t\t\t\t<div dojoAttachPoint=\"Email_dynamicArea\" >\r\n\t\t\t\t\t\t\t<div dojoAttachPoint=\"Email_schedMonthly\">\r\n\t\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t\t<label for=\"Email_schedDayOfMonthFS\" dojoType=\"fbfwca.Localizable\">L_On_what_day_of_the_month</label>\r\n\t\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t\t<select dojoAttachPoint=\"Email_schedDayOfMonthFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\t\t\tstyle=\"width:150px\">\r\n\t\t\t\t\t\t\t\t\t<option value=\"0\">1</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"1\">2</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"2\">3</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"3\">4</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"4\">5</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"5\">6</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"6\">7</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"7\">8</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"8\">9</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"9\">10</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"10\">11</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"11\">12</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"12\">13</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"13\">14</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"14\">15</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"15\">16</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"16\">17</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"17\">18</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"18\">19</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"19\">20</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"20\">21</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"21\">22</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"22\">23</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"23\">24</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"24\">25</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"25\">26</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"26\">27</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"27\">28</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"28\">29</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"29\">30</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"30\">31</option>\r\n\t\t\t\t\t\t\t\t</select>\r\n\t\t\t\t\t\t\t</div>\r\n\r\n\t\t\t\t\t\t\t<div dojoAttachPoint=\"Email_schedWeekly\">\r\n\t\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t\t<label for=\"Email_schedDayOfWeek\" dojoType=\"fbfwca.Localizable\">L_On_what_day_of_the_week</label>\r\n\t\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t\t<select dojoAttachPoint=\"Email_schedDayOfWeek\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\t\t\tstyle=\"width:150px\">\r\n\t\t\t\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_Sunday</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_Monday</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_Tuesday</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_Wednesday</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"4\" dojoType=\"fbfwca.Localizable\">T_Thursday</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"5\" dojoType=\"fbfwca.Localizable\">T_Friday</option>\r\n\t\t\t\t\t\t\t\t\t<option value=\"6\" dojoType=\"fbfwca.Localizable\">T_Saturday</option>\r\n\t\t\t\t\t\t\t\t</select>\r\n\t\t\t\t\t\t\t</div>\r\n\r\n\t\t\t\t\t\t\t<div dojoAttachPoint=\"Email_schedDaily\">\r\n\t\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t\t<label for=\"Email_schedTime\" dojoType=\"fbfwca.Localizable\">L_At_this_time</label>\r\n\t\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t\t<input dojoAttachPoint=\"Email_schedTime\" value=\"T12:01:00\" style=\"width:150px\"\r\n\t\t\t\t\t\t\t\t\tdojoType=\"dijit.form.TimeTextBox\"\r\n\t\t\t\t\t\t\t\t\tconstraints=\"{formatLength:'medium', clickableIncrement:'T00:15:00',visibleIncrement:'T00:15:00',visibleRange:'T02:00:00'}\"\r\n\t\t\t\t\t\t\t\t\trequired=\"true\"\r\n\t\t\t\t\t\t\t\t\tinvalidMessage=\"\" ></input>\r\n\t\t\t\t\t\t\t</div>\r\n\r\n\t\t\t\t\t\t</div>\r\n\t\t\t\t\t</div>\r\n\t\t\t\t</div>\r\n\r\n\t\t\t\t<!-- ==================================================================\r\n\t\t\t\t\t\t Remote Storage Tab\r\n\t\t\t\t=================================================================== -->\r\n\t\t\t\t<div dojoAttachPoint=\"RemoteStorageTab\" dojoType=\"dijit.layout.ContentPane\" id=\"page6\" style=\"width:100%;height:100%;\">\r\n\r\n\t\t\t\t\t<!-- Page header. -->\r\n\t\t\t\t\t<div dojoType=\"dijit.layout.ContentPane\" region=\"top\" class=\"FBWWizardDescArea\">\r\n\t\t\t\t\t\t<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td class=\"fbw_WizardRemoteImage\"></td>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<div class=\"fbw_WizardHeading-text\" dojoType=\"fbfwca.Localizable\">T_Remote_Storage</div>\r\n\t\t\t\t\t\t\t\t\t<div class=\"fbw_WizardDesc-text\" dojoType=\"fbfwca.Localizable\">T_Remote_Storage_Description</div>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t</table>\r\n\t\t\t\t\t</div>\r\n\r\n\t\t\t\t\t<!-- Page content. -->\r\n\t\t\t\t\t<div dojoType=\"dijit.layout.ContentPane\" style=\"padding:15px;\">\r\n\r\n\t\t\t\t\t\t<!-- Remote Storage Page: backup info -->\r\n\t\t\t\t\t\t<label for=\"Remote_backupToFS\" dojoType=\"fbfwca.Localizable\">L_Backup_To_Label</label>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<select dojoAttachPoint=\"Remote_backupToFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\tstyle=\"width:260px\">\r\n\t\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_None_Selected</option>\r\n\t\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_External_Device</option>\r\n\t\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_File_Server</option>\r\n\t\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_TSM</option>\r\n\t\t\t\t\t\t\t<option value=\"4\" dojoType=\"fbfwca.Localizable\">T_Web_Server</option>\r\n\t\t\t\t\t\t</select>\r\n\r\n\t\t\t\t\t\t<!-- Remote Storage Page: location textbox -->\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<label for=\"Remote_location\" dojoType=\"fbfwca.Localizable\">L_Location</label>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<input dojoType=\"dijit.form.ValidationTextBox\" dojoAttachPoint=\"Remote_location\" class=\"long-text\"\r\n\t\t\t\t\t\t\t\t\ttrim=\"true\" ></input>\r\n\r\n\t\t\t\t\t\t<!-- Remote Storage Page: How many versions to keep & max space for backups -->\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" class=\"normal-text\">\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t<label for=\"Remote_versionKeep\" dojoType=\"fbfwca.Localizable\">L_How_many_versions_to_keep</label>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t<td style=\"padding-left:30px;\">\r\n\t\t\t\t\t\t\t\t\t<label for=\"Remote_maxspace\" dojoType=\"fbfwca.Localizable\">L_Backup_Max_Space_Label</label>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t<input dojoType=\"dijit.form.NumberTextBox\" dojoAttachPoint=\"Remote_versionsKeep\"\r\n\t\t\t\t\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t<td colspan=\"2\" style=\"padding-left:30px;\">\r\n\t\t\t\t\t\t\t\t\t<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" class=\"normal-text\">\r\n\t\t\t\t\t\t\t\t\t\t<tbody>\r\n\t\t\t\t\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t<input dojoType=\"dijit.form.NumberTextBox\" dojoAttachPoint=\"Remote_maxspace\"\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\t\t\t\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t<select dojoAttachPoint=\"Remote_maxspace_unitFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\tstyle=\"width:125px\">\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_KB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_MB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_GB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_TB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"4\" dojoType=\"fbfwca.Localizable\">T_PB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t</select>\r\n\t\t\t\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t\t\t\t\t</tbody>\r\n\t\t\t\t\t\t\t\t\t</table>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t</table>\r\n\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<div class=\"subsection-wiz\" dojoType=\"fbfwca.Localizable\" >T_Advanced_Settings</div>\r\n\r\n\t\t\t\t\t\t<div class=\"tab\">\r\n\r\n\t\t\t\t\t\t\t<!-- Remote Storage Page: encrypt backups -->\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<input dojotype=\"dijit.form.RadioButton\" dojoAttachPoint=\"Remote_encryptRB\" id=\"Remote_encryptRB\"\r\n\t\t\t\t\t\t\t\t\t\tname=\"EncryptCompressRB\" value=\"0\" type=\"radio\"></input>\r\n\t\t\t\t\t\t\t<label for=\"Remote_encryptRB\" dojoType=\"fbfwca.Localizable\">T_Encrypt_backups</label>\r\n\r\n\t\t\t\t\t\t\t<!-- Remote Storage Page: compress backups -->\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<input dojotype=\"dijit.form.RadioButton\" dojoAttachPoint=\"Remote_compressRB\" id=\"Remote_compressRB\"\r\n\t\t\t\t\t\t\t\t\t\tname=\"EncryptCompressRB\" value=\"1\" type=\"radio\"></input>\r\n\t\t\t\t\t\t\t<label for=\"Remote_compressRB\" dojoType=\"fbfwca.Localizable\">T_Compress_backups</label>\r\n\r\n\t\t\t\t\t\t\t<!-- Remote Storage Page: sub-file backups -->\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<input dojoAttachPoint=\"Remote_subfileCK\" id=\"Remote_subfileCK\" dojotype=\"dijit.form.CheckBox\"></input>\r\n\t\t\t\t\t\t\t<label for=\"Remote_subfileCK\" dojoType=\"fbfwca.Localizable\">T_Subfile_backups</label>\r\n\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<div class=\"tab\">\r\n\t\t\t\t\t\t\t\t<label for=\"Remote_subfile\" dojoType=\"fbfwca.Localizable\">L_Subfile_quota</label>\r\n\t\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t\t<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" class=\"normal-text\">\r\n\t\t\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t\t\t<input dojoAttachPoint=\"Remote_subfile\" dojoType=\"dijit.form.NumberTextBox\"\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\t\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t\t\t<select dojoAttachPoint=\"Remote_subfile_unitFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\t\t\t\t\t\tstyle=\"width:125px\">\r\n\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_KB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_MB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_GB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_TB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"4\" dojoType=\"fbfwca.Localizable\">T_PB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t</select>\r\n\t\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t\t\t</table>\r\n\t\t\t\t\t\t\t</div>\r\n\t\t\t\t\t\t</div>\r\n\t\t\t\t\t</div>\r\n\t\t\t\t</div>\r\n\r\n\t\t\t\t<!-- ==================================================================\r\n\t\t\t\t\t\t Advanced Tab\r\n\t\t\t\t=================================================================== -->\r\n\t\t\t\t<div dojoAttachPoint=\"AdvancedTab\" dojoType=\"dijit.layout.ContentPane\" id=\"page7\" style=\"width:100%;height:100%;\">\r\n\r\n\t\t\t\t\t<!-- Page header. -->\r\n\t\t\t\t\t<div dojoType=\"dijit.layout.ContentPane\" region=\"top\" class=\"FBWWizardDescArea\">\r\n\t\t\t\t\t\t<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td class=\"fbw_WizardAdvancedImage\"></td>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<div class=\"fbw_WizardHeading-text\" dojoType=\"fbfwca.Localizable\">T_Advanced_Heading</div>\r\n\t\t\t\t\t\t\t\t\t<div class=\"fbw_WizardDesc-text\" dojoType=\"fbfwca.Localizable\">T_Advanced_Description</div>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t</table>\r\n\t\t\t\t\t</div>\r\n\r\n\t\t\t\t\t<!-- Page content. -->\r\n\t\t\t\t\t<div dojoType=\"dijit.layout.ContentPane\" style=\"padding:15px;\">\r\n\t\t\t\t\t\t<!-- Advanced Page: Allow program messages to pop up  -->\r\n\t\t\t\t\t\t<input dojoAttachPoint=\"Advanced_msgPopupCK\" id=\"Advanced_msgPopupCK\" dojotype=\"dijit.form.CheckBox\"></input>\r\n\t\t\t\t\t\t<label for=\"Advanced_msgPopupCK\" dojoType=\"fbfwca.Localizable\">T_Msgs_Pop_Up</label>\r\n\r\n\t\t\t\t\t\t<br/><br/>\r\n\t\t\t\t\t\t<input dojoAttachPoint=\"Advanced_lockConfigCK\" id=\"Advanced_lockConfigCK\" dojotype=\"dijit.form.CheckBox\"></input>\r\n\t\t\t\t\t\t<label for=\"Advanced_lockConfigCK\" dojoType=\"fbfwca.Localizable\">T_Lock_Config</label>\r\n\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<label for=\"Advanced_adminPollRate\" dojoType=\"fbfwca.Localizable\">L_How_often_to_check_updates</label>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<input dojoType=\"dijit.form.NumberTextBox\" dojoAttachPoint=\"Advanced_adminPollRate\"\r\n\t\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\t\t\t\t\t\t<select dojoAttachPoint=\"Advanced_adminPollRate_unitFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\tstyle=\"width:150px\" >\r\n\t\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_Minutes</option>\r\n\t\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_Hours</option>\r\n\t\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_Days</option>\r\n\t\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_Weeks</option>\r\n\t\t\t\t\t\t</select>\r\n\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<div class=\"subsection-wiz\" dojoType=\"fbfwca.Localizable\" >T_Performance_Settings</div>\r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t<div class=\"tab\">\r\n\t\t\t\t\t\t\t<div dojoType=\"fbfwca.Localizable\" class=\"subsection-wiz2\">T_Max_size_for_backups</div>\r\n\t\t\t\t\t\t\t<div dojoType=\"fbfwca.Localizable\" >T_Wiz_Performance_Settings_desc</div>\r\n\r\n\t\t\t\t\t\t\t<!-- Advanced Page: Performance local backup quota  -->\r\n\r\n\t\t\t\t\t\t\t<div class=\"tab\">\r\n\t\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t\t<label for=\"Advanced_localQuota\" dojoType=\"fbfwca.Localizable\">L_Local_Max_Label</label>\r\n\t\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t\t<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" class=\"normal-text\">\r\n\t\t\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t\t\t<input dojoAttachPoint=\"Advanced_localQuota\" dojoType=\"dijit.form.NumberTextBox\"\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\t\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t\t\t<select dojoAttachPoint=\"Advanced_localQuota_unitFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\t\t\t\t\t\tstyle=\"width:125px\">\r\n\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_KB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_MB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_GB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_TB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"4\" dojoType=\"fbfwca.Localizable\">T_PB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t</select>\r\n\t\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t\t\t</table>\r\n\r\n\t\t\t\t\t\t\t\t<!-- Advanced Page: Performance remote backup quota  -->\r\n\t\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t\t<label for=\"Advanced_remoteQuota\" dojoType=\"fbfwca.Localizable\">L_Remote_Max_Label</label>\r\n\t\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t\t<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\r\n\t\t\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t\t\t<td colspan=\"2\">\r\n\t\t\t\t\t\t\t\t\t\t\t<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" class=\"normal-text\">\r\n\t\t\t\t\t\t\t\t\t\t\t\t<tbody>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input dojoType=\"dijit.form.NumberTextBox\" dojoAttachPoint=\"Advanced_remoteQuota\"\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select dojoAttachPoint=\"Advanced_remoteQuota_unitFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\tstyle=\"width:125px\">\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_KB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_MB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_GB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"3\" dojoType=\"fbfwca.Localizable\">T_TB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"4\" dojoType=\"fbfwca.Localizable\">T_PB</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</select>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t\t\t\t\t\t\t</tbody>\r\n\t\t\t\t\t\t\t\t\t\t\t</table>\r\n\t\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t\t\t</table>\r\n\t\t\t\t\t\t\t</div>\r\n\r\n\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t<div dojoType=\"fbfwca.Localizable\" class=\"subsection-wiz2\">T_Max_transfer_rate_for_remote_backups</div>\r\n\t\t\t\t\t\t\t<div dojoType=\"fbfwca.Localizable\" >T_Limit_transfer_rate</div>\r\n\r\n\t\t\t\t\t\t\t<!-- Advanced Page: Performance remote transfer rate  -->\r\n\t\t\t\t\t\t\t<div class=\"tab\">\r\n\t\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t\t<label for=\"Advanced_maxTransfer\" dojoType=\"fbfwca.Localizable\">L_Max_Transfer_Rate_Label</label>\r\n\t\t\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t\t\t<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\">\r\n\t\t\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t\t\t<td colspan=\"2\">\r\n\t\t\t\t\t\t\t\t\t\t\t<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" class=\"normal-text\">\r\n\t\t\t\t\t\t\t\t\t\t\t\t<tbody>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input dojoType=\"dijit.form.NumberTextBox\" dojoAttachPoint=\"Advanced_maxTransfer\"\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\tconstraints=\"{min:0,places:0}\" ></input>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select dojoAttachPoint=\"Advanced_maxTransfer_unitFS\" dojoType=\"dijit.form.FilteringSelect\"\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\tstyle=\"width:125px\">\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"0\" dojoType=\"fbfwca.Localizable\">T_Kbs</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"1\" dojoType=\"fbfwca.Localizable\">T_Mbs</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value=\"2\" dojoType=\"fbfwca.Localizable\">T_Gbs</option>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</select>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t\t\t\t\t\t\t</tbody>\r\n\t\t\t\t\t\t\t\t\t\t\t</table>\r\n\t\t\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t\t\t</table>\r\n\t\t\t\t\t\t\t</div>\r\n\t\t\t\t\t\t</div>\r\n\t\t\t\t\t</div>\r\n\t\t\t\t</div>\r\n\r\n\t\t\t\t<!-- ==================================================================\r\n\t\t\t\t\t\t Summary Tab\r\n\t\t\t\t=================================================================== -->\r\n\t\t\t\t<div dojoAttachPoint=\"SummaryTab\" dojoType=\"dijit.layout.ContentPane\" id=\"page8\" style=\"width:100%;height:100%;\">\r\n\r\n\t\t\t\t\t<!-- Page header. -->\r\n\t\t\t\t\t<div dojoType=\"dijit.layout.ContentPane\" region=\"top\" class=\"FBWWizardDescArea\">\r\n\t\t\t\t\t\t<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td class=\"fbw_WizardSummaryImage\"></td>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<div class=\"fbw_WizardHeading-text\" dojoType=\"fbfwca.Localizable\">T_Summary_Heading</div>\r\n\t\t\t\t\t\t\t\t\t<div class=\"fbw_WizardDesc-text\" dojoType=\"fbfwca.Localizable\">T_Wiz_Summary_Description</div>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t</table>\r\n\t\t\t\t\t</div>\r\n\r\n\t\t\t\t\t<!-- Page content. -->\r\n\t\t\t\t\t<div dojoType=\"dijit.layout.ContentPane\" style=\"padding:15px;\">\r\n\t\t\t\t\t\t<table cellpadding=\"0\" cellspacing=\"10\" border=\"0\" class=\"normal-text\">\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<span class=\"summary-wiz\" dojoType=\"fbfwca.Localizable\">L_Group</span>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<div class=\"tab\" dojoAttachPoint=\"Summary_group\"></div>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<span class=\"summary-wiz\" dojoType=\"fbfwca.Localizable\">L_Description</span>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<div class=\"tab\" dojoAttachPoint=\"Summary_desc\"></div>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<span class=\"summary-wiz\" dojoType=\"fbfwca.Localizable\">L_Critical_Folders_To_Protect</span>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<div class=\"tab\" dojoAttachPoint=\"Summary_continuous\"></div>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<span class=\"summary-wiz\" dojoType=\"fbfwca.Localizable\">L_E-mail_Application_Settings</span>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<div class=\"tab\" dojoAttachPoint=\"Summary_emailApps\"></div>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<span class=\"summary-wiz\" dojoType=\"fbfwca.Localizable\">L_Email_Protection</span>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<div class=\"tab\" dojoAttachPoint=\"Summary_emailProtection\"></div>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<span class=\"summary-wiz\" dojoType=\"fbfwca.Localizable\">L_Local_Storage</span>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<div class=\"tab\" dojoAttachPoint=\"Summary_local\"></div>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t\t<tr>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<span class=\"summary-wiz\" dojoType=\"fbfwca.Localizable\">L_Remote_Storage</span>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t\t<td valign=\"top\">\r\n\t\t\t\t\t\t\t\t\t<div class=\"tab\" dojoAttachPoint=\"Summary_remote\"></div>\r\n\t\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t\t</table>\r\n\t\t\t\t\t</div>\r\n\t\t\t\t</div>\r\n\r\n\t\t\t</div>\r\n\t\t</div>\r\n\t\t<div dojoType=\"dijit.layout.ContentPane\" dojoAttachPoint=\"FBWConfigWizardToolbar\" region=\"bottom\" splitter=\"false\" class=\"tip-wiz-footer\" >\r\n\t\t\t<button dojoType=\"dijit.form.Button\" dojoAttachPoint=\"backButton\">Back</button>\r\n\t\t\t<button dojoType=\"dijit.form.Button\" dojoAttachPoint=\"nextButton\">Next</button>\r\n\t\t\t<button dojoType=\"dijit.form.Button\" dojoAttachPoint=\"finishButton\">Finish</button>\r\n\t\t\t<button dojoType=\"dijit.form.Button\" dojoAttachPoint=\"cancelButton\">Cancel</button>\r\n\t\t</div>\r\n\t</div>\r\n</div>\r\n",	
	/**************************************************************************
	* Constructor
	**************************************************************************/
	constructor: function () {
		console.log("fbfwca.ConfigWizard constructor" );
		this.ConfigWizardId = 'ConfigWizardContainer';
		this.connections = [];
		this.topics = [];
		this.steps = new Array ("page1", "page2", "page3", "page4", "page5", "page6", "page7", "page8");
		this.encryptRBState = false;
		this.compressRBState = false;
		this.refreshTable = false;
		this.NLS = dojo.i18n.getLocalization("nls", "general");
		this.NLS_MESSAGES = dojo.i18n.getLocalization("nls_messages", "messages");

	},
	
	/**************************************************************************
	* Cleanup function
	**************************************************************************/
	destroy : function () {
		console.log("fbfwca.ConfigWizard destroy" );
		
		dijit.hideTooltip(this.General_group.domNode);
		dijit.hideTooltip(this.Email_schedTime.domNode);

	  	// Destroy all subscriptions
	  	dojo.forEach(this.topics, dojo.unsubscribe);
	  	delete this.topics;

  		// Destroy all event connections
		dojo.forEach(this.connections, dojo.disconnect);
  		delete this.connections;
  	
		if (this.FBWConfigWizard)
			this.FBWConfigWizard.destroyRecursive();

		if (this.FBWConfigWizardToolbar)
			this.FBWConfigWizardToolbar.destroyRecursive();

		var el = document.getElementById(this.ConfigWizardId);
		if ( el ) {
			while(el.hasChildNodes()){
				el.removeChild(el.childNodes[0])
			}
		}

		delete this.steps;
		delete this.encryptRBState;
		delete this.compressRBState;
		delete this.ConfigWizardId;
		delete this.refreshTable;
		delete this.grouptable;
		delete this.NLS;
		delete this.NLS_MESSAGES;
		delete this.currentStep;

 },


	/**************************************************************************
	* Called after template has been processed.
	*
	**************************************************************************/
	postCreate: function () {

		console.log("postCreate: this.name=" + this.name);
		var data = this.data;
		this.grouptable = this.table;

		if(dojo.getComputedStyle(dojo.body()).direction == "rtl") {
		  this.taskArea.attr("region","right");
		  this.FBWConfigWizardToolbar.attr("class","tip-wiz-footer-bidi");
		}else {
		  this.taskArea.attr("region","left");
		  this.FBWConfigWizardToolbar.attr("class","tip-wiz-footer");
		}
			
		//-----------------------------
		// Add Toolbar
		//-----------------------------
		this.initializeToolbar();
		fbfwca.Config.init(this, this.name, 0, data);
		console.log("after fbfwca.Config.init");
		this.FBWConfigWizard.startup();
		
		//this.connections.push (dojo.connect(this.Continuous_protectLevelFS, 'onChange', 
		//			dojo.hitch(this, fbfwca.Config.onProtectLevelFSChanged, this)));
		this.connections.push (dojo.connect(this.Email_applicationFS, 'onChange', 
					dojo.hitch(this, fbfwca.Config.onApplicationFSChanged, this)));
		this.connections.push (dojo.connect(this.Email_schedFrequencyFS, 'onChange', 
					dojo.hitch(this, fbfwca.Config.onSchedFrequencyFSChanged, this)));
		this.connections.push (dojo.connect(this.Remote_backupToFS, 'onChange', 
					dojo.hitch(this, fbfwca.Config.onRemote_backupToFSChanged, this, false)));
		this.connections.push (dojo.connect(this.Remote_encryptRB, 'onClick', 
					dojo.hitch(this, fbfwca.Config.onEncryptRBClicked, this)));
		this.connections.push (dojo.connect(this.Remote_compressRB, 'onClick', 
					dojo.hitch(this, fbfwca.Config.onCompressRBClicked, this)));
		this.connections.push (dojo.connect(this.Remote_subfileCK, 'onClick', 
					dojo.hitch(this, fbfwca.Config.onSubfileCKChanged, this)));

		this.currentStep = this.steps[0];
	},

	/**************************************************************************
	* Resizes various widgets.
	*
	* Parameter:
	*		None
	**************************************************************************/
	resize: function () {
		this.FBWConfigWizard.resize();
		
	},
	
	/**************************************************************************
	* Initializes the toolbar with default buttons and establishes all events.
	*
	* Parameter:
	*		None
	**************************************************************************/
	initializeToolbar: function() 
	{
		this.connections.push (dojo.connect(this.backButton, 'onClick', dojo.hitch(this, this.onClick_Back)));
		this.connections.push (dojo.connect(this.nextButton, 'onClick', dojo.hitch(this, this.onClick_Forward)));
		this.connections.push (dojo.connect(this.finishButton, 'onClick', dojo.hitch(this, this.onClick_Finish)));
		this.connections.push (dojo.connect(this.cancelButton, 'onClick', dojo.hitch(this, this.onClick_Cancel)));
		
		this.backButton.attr('label', this.NLS.T_BACK);
		this.nextButton.attr('label', this.NLS.T_NEXT);
		this.finishButton.attr('label', this.NLS.T_FINISH);
		this.cancelButton.attr('label', this.NLS.T_CANCEL);

		this.backButton.attr('title', this.NLS.T_BACK);
		this.nextButton.attr('title', this.NLS.T_NEXT);
		this.finishButton.attr('title', this.NLS.T_FINISH);
		this.cancelButton.attr('title', this.NLS.T_CANCEL);
		
		this.backButton.attr("disabled", true);
		this.finishButton.attr("disabled", true);
		
		// Subscribe to page changes
		this.topics.push (dojo.subscribe("myStackContainer-selectChild", this, function(page) {
		this.backButton.attr("disabled", page.isFirstChild);
		this.nextButton.attr("disabled", page.isLastChild);
		this.finishButton.attr("disabled", !page.isLastChild);
		
		var stepimg = this.currentStep + "img";
		var steptext = this.currentStep + "text";

		// Go next, change current step to visited state
		if (page.id > this.currentStep )
		{
			dojo.byId(stepimg).className = "fbw_WizardStepVisitedImage";
			dojo.byId(steptext).className = "fbw_WizardStepVisited";
		}
		
		// Go back, change current step to unvisited state
		else
		{
			dojo.byId(stepimg).className = "fbw_WizardStepUnvisitedImage";
			dojo.byId(steptext).className = "fbw_WizardStepUnvisited";
		}
		
		// Change current page to selected state
		stepimg = page.id + "img";
		steptext = page.id + "text";
		dojo.byId(stepimg).className = "fbw_WizardStepSelectedImage";
		dojo.byId(steptext).className = "fbw_WizardStepSelected";
		
		this.currentStep = page.id;

		if (this.currentStep == this.steps[7] )
			this.initSummaryPage();
		}));

	},

	/**************************************************************************
	* Initializes the summary page.
	*
	* Parameter:
	*		None
	**************************************************************************/	
	initSummaryPage : function () {
		var msg;
		var storageUnit;

		this.Summary_group.innerHTML = this.General_group.attr('value');
		this.Summary_desc.innerHTML = this.General_desc.attr('value');
		this.Summary_continuous.innerHTML = this.Protect_filesFolder.attr('value').replace(/[\n]/g,"|");
		if ( this.Email_applicationFS.attr('value') == 0 )
			this.Summary_emailApps.innerHTML = this.NLS.T_None;
		else
			this.Summary_emailApps.innerHTML = this.Email_applicationFS.attr('displayedValue');

		var schedule = new Object();
    	schedule.frequency = this.Email_schedFrequencyFS.attr('value');
		schedule.dayOfMonth = this.Email_schedDayOfMonthFS.attr('displayedValue');
		schedule.dayOfWeek = this.Email_schedDayOfWeek.attr('displayedValue');
		schedule.hour = this.Email_schedTime.attr('displayedValue');
		this.Summary_emailProtection.innerHTML = fbfwca.Config.formatScheduleText(schedule);
		
		var sel = this.Continuous_protectLevelFS.attr('value');
		if ( sel == 0 || sel == 2)
			msg = this.NLS.T_None;
		else
		{ 
			storageUnit = fbfwca.Formatters.GetStorageUnit(this.Continuous_maxspace_unitFS.attr('value'));
			msg = dojo.string.substitute(this.NLS.T_Summary_local, {0: this.Continuous_versionsKeep.attr('value'), 
																										 1: this.Continuous_maxspace.attr('value') + storageUnit});
		}
		this.Summary_local.innerHTML = msg;

		sel = this.Remote_backupToFS.attr('value');
		if (sel == 0 )
			msg = this.NLS.T_None;
		else
		{ 
			storageUnit = fbfwca.Formatters.GetStorageUnit(this.Remote_maxspace_unitFS.attr('value'));
			msg = dojo.string.substitute(this.NLS.T_Summary_remote, {0: (this.Remote_maxspace.attr('value') + storageUnit), 
																		 										  1: this.Remote_location.attr('value')});
		}
		this.Summary_remote.innerHTML = msg;
	},

	/**************************************************************************
	* Goes back to the previous page.
	*
	* Parameter:
	*		None
	**************************************************************************/	
	onClick_Back: function () 
	{
		this.stackContainer.back();
	},	

	/**************************************************************************
	* Validates data on the current page.  If input are valid, move to the next
	* page.
	*
	* Parameter:
	*		None
	**************************************************************************/		
	onClick_Forward: function () 
	{
		if (this.validatePage())
			this.stackContainer.forward();
	},	
	
	/**************************************************************************
	* Gathers input and send a request to the backend to create the group config.
	* If there is no error, return to the group table page.
	*
	* Parameter:
	*		None
	**************************************************************************/		
	onClick_Finish: function () 
	{
		// send data to the backend
		var config = fbfwca.Config.getConfigData(this);
		console.log("onClick_Finish: ", config);
		var response = fbfwca.ajax.addGroup(config);
		delete config;
		if ( response == -1 )
			return;

		this.refreshTable = true;
		this.onClick_Cancel();

	},	

	/**************************************************************************
	* Returns to the group table page.
	*
	* Parameter:
	*		None
	**************************************************************************/		
	onClick_Cancel: function () 
	{
		dojo.style(this.ConfigWizardId, "display", "none");
		dojo.style(this.pageid, "display", "block");
		
		if (this.parentDiv) {
				var el = document.getElementById(this.parentDiv);
				if ( el ) {
					while(el.hasChildNodes()){
						el.removeChild(el.childNodes[0]);
					}
				}
		}
		
		if ( this.refreshTable && this.grouptable)
			this.grouptable.onRefresh();
		else if (this.grouptable)
			this.grouptable.resize();
		this.destroy();
	},

	/**************************************************************************
	* Validates required input fields on current step.  Returns false if
	* there is an error.  True, otherwise.
	*
	* Parameter:
	*		None
	**************************************************************************/		
	validatePage: function()
	{
		var status = true;
		if (this.currentStep == "page2")
		{
			this.General_group.promptMessage = this.NLS.T_REQUIRED_FIELD;
			if (!this.General_group.validate(true))
				status = false;	
		}

		else if (this.currentStep == "page4")
		{
			status = fbfwca.Config.validateProtectionPage(this);
			// Display warning message then go on.
			if ( !status )
			{
				var msgDlg = new ibm.tivoli.tip.dijit.TIPMessageDialog(
						{message: this.NLS_MESSAGES.FBW1010W,
						 messageId: "FBW1010W",
						 type: "Warning"});
				msgDlg.show();
				status = true;
			}
			
		}
		else if (this.currentStep == "page6")
		{
			status = fbfwca.Config.validateRemotePage(this);
		}
						
		return status;
	},

	/**************************************************************************
	* Sets wizard to a specific step.
	*
	* Parameter:
	*		step - step to set
	**************************************************************************/
	setWizardStep: function (step) {
	
		var found = false;
		var i;

		for (i=0; i< this.steps.length; i++)
		{
			var stepimg = this.steps[i] + "img";
			var steptext = this.steps[i] + "text";
	
			// Go next, change current step to visited state
			if (this.steps[i] == step )
			{
				found = true;
				this.stackContainer.selectChild(step);
				dojo.byId(stepimg).className = "fbw_WizardStepSelectedImage";
				dojo.byId(steptext).className = "fbw_WizardStepSelected";
				this.currentStep = step;
			}
			else if ( !found )
			{
				dojo.byId(stepimg).className = "fbw_WizardStepVisitedImage";
				dojo.byId(steptext).className = "fbw_WizardStepVisited";
			}
		}		

	},

	/**************************************************************************
	* Return current wizard step.
	*
	* Parameter:
	*		None
	**************************************************************************/		
	getCurrentStep : function ()
	{
		return this.currentStep;
	}
	
});

}
