/*
	Copyright (c) 2004-2009, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


/*
	Copyright (c) 2004-2009, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["ibm.tivoli.tip.dijit.themes.ChartThemeTivoliStandard"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["ibm.tivoli.tip.dijit.themes.ChartThemeTivoliStandard"] = true;
dojo.provide("ibm.tivoli.tip.dijit.themes.ChartThemeTivoliStandard");
dojo.require("dojox.charting.Theme");

(function(){
	var dxc=dojox.charting;
	ibm.tivoli.tip.dijit.themes.ChartThemeTivoliStandardCustom = { 
		piestroke: {
			color: "black"
		},
		xlabels: {
			color: "black",
			fontFamily: "Sans Serif",
			size: "12pt", 
			weight: "normal"
		},
		ylabels: {
			color: "black",
			fontFamily: "Sans Serif",
			size: "14pt", 
			weight: "normal"
		},
		legend: {
			textClass: "dojoxLegendTextStandard"
		}
	};
	
	
	ibm.tivoli.tip.dijit.themes.ChartThemeTivoliStandard=new dxc.Theme({
		chart:{
			stroke:null,
			fill: "transparent"
		},
		plotarea:{
			stroke:null,
			fill: "transparent"
		},
		axis:{
			stroke:{ color:"black",width:1 },			
			line:{ color:"black",width:1 },
			majorTick:{ color:"black", width:2, length:12 },
			minorTick:{ color:"black", width:1, length:8 },
			font:"normal normal normal 10pt San Serif",
			fontColor:"black"
		},
		series:{
			outline:{ width:1, color:"#fff" },
			stroke:{ width:2, color:"#666" },
			fill:new dojo.Color([0x66, 0x66, 0x66, 1.0]),
			font:"normal normal normal 11pt San Serif",	//	label
			fontColor:"black"
		},
		marker:{	//	any markers on a series.
			stroke:{ width:2 },
			fill:"#333",
			font:"normal normal normal 11pt San Serif",	//	label
			fontColor:"black"
		},
		colors:[ "#205870", "#997fb2", "#f8d080", "#ffaa1c",  "#4ccc33", "#00005d", "#ccb2e5", "#d0a048", "#0758c4", "#c3c300", "#66667f", "#270e96", "#bcd2e8", "#986030", "#ffaa1c", "#205870", "#7faddc", "#99991d", "#997fb2", "#f8d080", "#153c05"
			]
//		colors:[ "#7f6699", "#e28d00", "#8bade7", "#4ccc33", "#00005d", "#ccb2e5", "#d0a048", "#0758c4", "#c3c300", "#66667f", "#270e96", "#bcd2e8", "#986030", "#ffaa1c", "#205870", "#7faddc", "#99991d", "#997fb2", "#f8d080", "#153c05"
// 			]
	});
	ibm.tivoli.tip.dijit.themes.ChartThemeTivoliStandard.defineColors(ibm.tivoli.tip.dijit.themes.ChartThemeTivoliStandard.colors);
})();

}
